﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace wpf_ChartView_689992
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new VM();
        }

        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();

            // you don't need this
        }

    }

    public class VM : INotifyPropertyChanged
    {
        public VM() 
        {
            this.DeviationPoints = new List<DeviationPoint> 
            { 
                new DeviationPoint { X = 1, Y = 1, },
                new DeviationPoint { X = 2, Y = 3, },
                new DeviationPoint { X = 3, Y = 7, },
                new DeviationPoint { X = 4, Y = 6, },
                new DeviationPoint { X = 5, Y = 5, },
                new DeviationPoint { X = 6, Y = 3, },
                new DeviationPoint { X = 7, Y = 1, },
                new DeviationPoint { X = 8, Y = 1, },
                new DeviationPoint { X = 9, Y = 2, },
                new DeviationPoint { X = 10, Y = 4, },
            };

            this.RealElevationsPoints = new List<DeviationPoint> 
            { 
                new DeviationPoint { X = 1, Y = 1234521, },
                new DeviationPoint { X = 2, Y = 1234523, },
                new DeviationPoint { X = 3, Y = 1234527, },
                new DeviationPoint { X = 4, Y = 1234526, },
                new DeviationPoint { X = 5, Y = 1234525, },
                new DeviationPoint { X = 6, Y = 1234523, },
                new DeviationPoint { X = 7, Y = 1234521, },
                new DeviationPoint { X = 8, Y = 1234521, },
                new DeviationPoint { X = 9, Y = 1234522, },
                new DeviationPoint { X = 10, Y = 1234534, },
            };
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void Raise(PropertyChangedEventHandler handler, string propertyName)
        {
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public List<DeviationPoint> DeviationPoints { get; set; }
        public List<DeviationPoint> RealElevationsPoints { get; set; }
    }

    public class DeviationPoint
    {
        public double X { get; set; }
        public double Y { get; set; }
    }
}
